package com.qmth.jkserver.enums;

/**
 * 机考 考试计划 状态
 * @author tianjun
 *
 */
public enum ExamKwProgressType {

	KW("下载考务考场数据", 0), PAPER("下载试卷", 1), UNCOILING("开卷", 2);

    private String name;

    private int id;

    private ExamKwProgressType(String name, int id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return id;
    }

    public static ExamKwProgressType findById(int id) {
        for (ExamKwProgressType status : ExamKwProgressType.values()) {
            if (status.id == id) {
                return status;
            }
        }
        return null;
    }

}
